﻿Copyright (c) (2016) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub R&S RTM105x (1 yr) VER VISA /O_CAL+600MHz+Z+WG
DATE:                  2016-06-14 13:39:10
AUTHOR:                Fluke
REVISION:              $Revision: 16202 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       302
CONFIGURATION:         Fluke Ocal (600MHz,Z,WG)
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Model(s) Covered:
#        R&S RTM1052 (1305.0008.52)
#        R&S RTM1054 (1305.0008.54)
#
#  Source(s):
#        R&S RTM Digital Oscilloscope Service Manual, 1304.9018.02-01
#
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  Additional Equipment Required:
#        Agilent 11667A Power Splitter (for external trigger tests)
#        Termination, feedthrough, BNC, 50 Ω
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  O_CAL        Mode = LevSine; +Freq = 500 MHz; Volt = 1 Vpp

  1.003  O_CAL        Mode  = WaveGen; OutpImp = 50 Ohm; Waveform = Sine
  1.003  O_CAL        +Freq = 10 kHz; @Volt    = 15 mVpp

  1.004  O_CAL        Mode = MeasZ; +Res = 1 MOhm; Measure

  1.005  O_CAL        Mode = Voltage; +Volt = 1 V; OutpImp = 50 Ohms
  1.006  ENDIF

  1.007  ASK-   R   Q N              P                            A        V

  1.008  IF           NOT(VERSIONCHECK("8.1.4"))
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Ensure a minimum UUT warm-up time of at least
  1.013  DISP         30 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  MATH         @VisaLAN = 1
  1.015  CALL         Sub DUT Connection visa

  1.016  IF           @Abort
  1.017  END
  1.018  ENDIF

  1.019  VISA         [OTERM LF][TERM LF]

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query VISA

  1.022  MATH         @UUT_Manufacturer  = "Rohde&Schwarz"
  1.023  MATH         @UUT_Manufacturer2 = "R&S"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.025  IF           @Abort
  1.026  END
  1.027  ENDIF

# Set Post-Test reset condition for UUT.
  1.028  RESET        *CLS[GTL]

  1.029  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.030  CALL         Sub Select Failed Test Mode
  1.031  CALL         Sub Select Verification Method

  1.032  HEAD         EQUIPMENT REQUIRED
  1.033  DISP         The following additional equipment is required to
  1.033  DISP         facilitate the verification:
  1.033  DISP
  1.033  DISP         - Power Splitter, 50 Ω, Agilent 11667A or equivalent
  1.033  DISP         - Termination, feedthrough, BNC, 50 Ω

  1.034  CALL         Sub R&S RTM105x Self-Test and Self-Alignment

  1.035  IF           @Abort
  1.036  END
  1.037  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.  Channel 3 and 4 tests are
# bypassed for a 2 channel UUT.

# Define the names for the calibrator output channels.
  1.038  IF           FINDI(@CalDev, "58", 0)
  1.039  MATH         @CalOutp = "CHAN 1 OUTPUT  "
  1.040  MATH         @CalTrig = "EXT TRIG OUTPUT"
  1.041  ELSE
  1.042  MATH         @CalOutp = "SCOPE OUTPUT   "
  1.043  MATH         @CalTrig = "TRIG OUTPUT    "
  1.044  ENDIF

  1.045  HEAD         INSTRUMENT CONNECTIONS
  1.046  DISP         Connect the [V @CalDev] to the UUT as follows,
  1.046  DISP         using necessary cables and adapters.
  1.046  DISP
  1.046  DISP         [32] [V @CalDev]     to   UUT
  1.046  DISP         [32] [V @CalOutp] ----> CH 1

  1.047  IF           ZCMPI(@MeasMode, "TAR")
  1.048  DISP         The next routine operator intervention occurs
  1.048  DISP         in approximately 12 minutes.
  1.049  ELSE
  1.050  DISP         The next routine operator intervention occurs
  1.050  DISP         in approximately 27 minutes.
  1.051  ENDIF

  1.052  MATH         @Chan = 1; @CalChan = 1
  1.053  CALL         Sub R&S RTM105x (1 yr) Ref Frequency VER VISA /O_CAL
  1.054  CALL         Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL
  1.055  JMPL         DC_GAIN_CH1

  1.056  LABEL        INPUT_RESISTANCE_CH2
  1.057  HEAD         INSTRUMENT CONNECTIONS
  1.058  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.059  DISP         Connect the [V @CalDev] to the UUT as follows,
  1.059  DISP         using necessary cables and adapters.
  1.059  DISP
  1.059  DISP         [32] [V @CalDev]     to   UUT
  1.059  DISP         [32] [V @CalOutp] ----> CH 2

  1.060  IF           ZCMPI(@MeasMode, "TAR")
  1.061  DISP         The next routine operator intervention occurs
  1.061  DISP         in approximately 10½  minutes.
  1.062  ELSE
  1.063  DISP         The next routine operator intervention occurs
  1.063  DISP         in approximately 24½ minutes.
  1.064  ENDIF

  1.065  MATH         @Chan = 2
  1.066  CALL         Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL
  1.067  JMPL         DC_GAIN_CH2

  1.068  LABEL        INPUT_RESISTANCE_CH3
  1.069  HEAD         INSTRUMENT CONNECTIONS
  1.070  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.071  DISP         Connect the [V @CalDev] to the UUT as follows,
  1.071  DISP         using necessary cables and adapters.
  1.071  DISP
  1.071  DISP         [32] [V @CalDev]     to   UUT
  1.071  DISP         [32] [V @CalOutp] ----> CH 3

  1.072  IF           ZCMPI(@MeasMode, "TAR")
  1.073  DISP         The next routine operator intervention occurs
  1.073  DISP         in approximately 10½ minutes.
  1.074  ELSE
  1.075  DISP         The next routine operator intervention occurs
  1.075  DISP         in approximately 24½ minutes.
  1.076  ENDIF

  1.077  MATH         @Chan = 3
  1.078  CALL         Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL
  1.079  JMPL         DC_GAIN_CH3

  1.080  LABEL        INPUT_RESISTANCE_CH4
  1.081  HEAD         INSTRUMENT CONNECTIONS
  1.082  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.083  DISP         Connect the [V @CalDev] to the UUT as follows,
  1.083  DISP         using necessary cables and adapters.
  1.083  DISP
  1.083  DISP         [32] [V @CalDev]     to   UUT
  1.083  DISP         [32] [V @CalOutp] ----> CH 4

  1.084  IF           ZCMPI(@MeasMode, "TAR")
  1.085  DISP         The next routine operator intervention occurs
  1.085  DISP         in approximately 10½ minutes.
  1.086  ELSE
  1.087  DISP         The next routine operator intervention occurs
  1.087  DISP         in approximately 24½ minutes.
  1.088  ENDIF

  1.089  MATH         @Chan = 4
  1.090  CALL         Sub R&S RTM105x (1 yr) Input Res VER VISA /O_CAL
  1.091  JMPL         DC_GAIN_CH4

  1.092  LABEL        DC_GAIN_CH1
  1.093  CALL         Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL
  1.094  JMPL         OFFSET_CH1

  1.095  LABEL        DC_GAIN_CH2
  1.096  CALL         Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL
  1.097  JMPL         OFFSET_CH2

  1.098  LABEL        DC_GAIN_CH3
  1.099  CALL         Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL
  1.100  JMPL         OFFSET_CH3

  1.101  LABEL        DC_GAIN_CH4
  1.102  MATH         @Chan = 4
  1.103  CALL         Sub R&S RTM105x (1 yr) DC Gain VER VISA /O_CAL
  1.104  JMPL         OFFSET_CH4

  1.105  LABEL        OFFSET_CH1
  1.106  CALL         Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL
  1.107  JMPL         BANDWIDTH_CH1

  1.108  LABEL        OFFSET_CH2
  1.109  CALL         Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL
  1.110  JMPL         BANDWIDTH_CH2

  1.111  LABEL        OFFSET_CH3
  1.112  CALL         Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL
  1.113  JMPL         BANDWIDTH_CH3

  1.114  LABEL        OFFSET_CH4
  1.115  CALL         Sub R&S RTM105x (1 yr) Offset Acc VER VISA /O_CAL
  1.116  JMPL         BANDWIDTH_CH4

  1.117  LABEL        BANDWIDTH_CH1
  1.118  CALL         Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6
  1.119  JMPL         CROSSTALK_CH1

  1.120  LABEL        BANDWIDTH_CH2
  1.121  CALL         Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6
  1.122  JMPL         INT_TRIG_CH2

  1.123  LABEL        BANDWIDTH_CH3
  1.124  CALL         Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6
  1.125  JMPL         INT_TRIG_CH3

  1.126  LABEL        BANDWIDTH_CH4
  1.127  CALL         Sub R&S RTM105x (1 yr) Bandwidth VER VISA /O_CAL+S6
  1.128  JMPL         CROSSTALK_CH4

  1.129  LABEL        CROSSTALK_CH1
  1.130  CALL         Sub R&S RTM105x (1 yr) Crosstalk VER VISA /O_CAL+S6
  1.131  JMPL         INT_TRIG_CH1

  1.132  LABEL        CROSSTALK_CH4
  1.133  CALL         Sub R&S RTM105x (1 yr) Crosstalk VER VISA /O_CAL+S6
  1.134  JMPL         INT_TRIG_CH4

  1.135  LABEL        INT_TRIG_CH1
  1.136  CALL         Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG
  1.137  JMPL         INPUT_RESISTANCE_CH2

  1.138  LABEL        INT_TRIG_CH2
  1.139  CALL         Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG
  1.140  JMPL         LINE_TRIG                   (@NumChan < 4)
  1.141  JMPL         INPUT_RESISTANCE_CH3

  1.142  LABEL        INT_TRIG_CH3
  1.143  MATH         @Chan = 3
  1.144  CALL         Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG
  1.145  JMPL         INPUT_RESISTANCE_CH4

  1.146  LABEL        INT_TRIG_CH4
  1.147  CALL         Sub R&S RTM105x (1 yr) Int Trig VER VISA /O_CAL+S6+WG

  1.148  LABEL        LINE_TRIG
  1.149  MATH         @Chan = 1
  1.150  CALL         Sub R&S RTM105x (1 yr) Line Trigger VER VISA

  1.151  HEAD         INSTRUMENT CONNECTIONS
  1.152  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.153  DISP         Connect the [V @CalDev] [V @CalOutp]
  1.153  DISP         to the Power Splitter input, using any
  1.153  DISP         necessary adapters.
  1.153  DISP
  1.153  DISP         Connect one output port of the Power Splitter to the
  1.153  DISP         UUT CH 1 input.
  1.153  DISP
  1.153  DISP         Connect the other output port of the Power Splitter
  1.153  DISP         to the UUT EXT TRIGGER INPUT (rear panel), via a
  1.153  DISP         50 Ω feedthrough termination.
  1.154  CALL         Sub R&S RTM105x (1 yr) Ext Trig VER VISA /O_CAL+S6+WG

  1.155  HEAD         -2
  1.156  HEAD
  1.157  END
